
app.controller('loginController', ['$scope', '$http', '$window', '$location', function($scope, $http, $window, $location) {

	$scope.username = '';
	
	$scope.password = '';
	
	$scope.error = false;
	
	$scope.errorMessage = '';
	
	$scope.loggedOut = false;
	
    $scope.doLogin = function() {
    	$scope.error = false;
    	$scope.loggedOut = false;
    	$location.search('loggedOut', null);
    	
    	$http.post('/wrench/login', {'username': $scope.username, 'password': $scope.password }).then(
    	  function(response) {
    		  if(response.status == 200) {
    			  $window.location.href = "http://" + $window.location.host + '/wrench/main';
    		  } else {
    			  $scope.error = true;
    			  $scope.errorMessage = 'Invalid response code: ' + response.status;
    		  }
    	  },
    	  function(response) {
    		  if(response.status == 403) {
    			  $scope.error = true;
    			  $scope.errorMessage = 'Invalid username or password';
    		  } else if(response.status == 500) {
    			  $scope.error = true;
    			  $scope.errorMessage = response.data.errorMessage;
    		  } else {
    			  $scope.error = true;
    			  $scope.errorMessage = 'Error communicating with Wrench';
    		  }
    		  
    	  }
        );
    }
    
    $scope.init = function() {
    	var s = $location.search();
    	$scope.loggedOut = s.loggedOut;
    }
    
    $scope.init();
    
}]);