
app.controller('managementController', function($scope, $http) {

	$scope.kickedUser = '';
	
	$scope.kickSuccessFlag = false;
	
	$scope.kickCount = 0;
	
	$scope.error = false;
	
	$scope.errorMessage = '';
	
	$scope.sessions = null;
	
    $scope.doKick = function() {
    	$scope.kickSuccessFlag = false;
    	console.log("Kicking out user " + $scope.kickedUser);
    	
    	if($scope.kickedUser == '') {
    		$scope.errorMessage = 'Please enter the username to be kicked';
    		$scope.error = true;
    	} else {
    		$http.get('/wrench/manage/kick/' + $scope.kickedUser, null).then(
    				function(response) {
    					console.log("Kick response " + response.status);
    					if(response.status == 200) {
    						$scope.error = false;
    						$scope.errorMessage = '';
    						$scope.kickSuccessFlag = true;
    						$scope.kickCount = response.data.kickCount;
    					} else {
    						$scope.error = true;
    						$scope.errorMessage = response.data.errorMessage;
    						$scope.kickSuccessFlag = false;
    						$scope.kickCount = 0;
    					}
    				},
    				function(response) {
    					$scope.error = true;
    					$scope.errorMessage = response.data.errorMessage;
    					$scope.kickSuccessFlag = false;
    				}
    		);
    	}
    }
    
    $scope.reset = function() {
    	$scope.kickSuccessFlag = false;
    	$scope.error = false;
    	$scope.kickCount = 0;
    }
    
    $scope.querySessions = function() {
    	$scope.sessions = null;
    	console.log("Querying current sessions");
    	$http.get('/wrench/manage/sessions', null).then(
    	    	  function(response) {
    	    		  console.log("Query response " + response.status);
    	    		  if(response.status == 200) {
    	    	    	  $scope.sessions = response.data;
    	    		  } else {
    	    			  $scope.sessionsError = true;
    	    			  $scope.sessions = null;
    	    		  }
    	    	  },
    	    	  function(response) {
    	    		  $scope.sessionsError = true;
	    			  $scope.sessions = null;
    	    	  }
    	        );
    }
    
});